//
//  UAAppDelegate.m
//  Filmoteca
//
//  Created by Miguel Angel Lozano on 15/11/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "UAAppDelegate.h"

#import "UAMasterViewController.h"
#import "UABusquedaViewController.h"

@implementation UAAppDelegate

@synthesize window = _window;
@synthesize masterViewController = _masterViewController;


- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions
{
    self.window = [[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    // Override point for customization after application launch.

    
    UAMasterViewController *masterViewController = [[UAMasterViewController alloc] initWithNibName:@"UAMasterViewController" bundle:nil];
    self.masterViewController = masterViewController;

    UINavigationController *controller1 = [[UINavigationController alloc] initWithRootViewController:masterViewController];
    UABusquedaViewController *controller2 = [[UABusquedaViewController alloc] initWithStyle: UITableViewStylePlain];
        
    //[[NSBundle mainBundle] loadNibNamed:@"UATabBarPrincipal" owner:self options:nil];
    
    self.window.rootViewController = controller2;
    [self.window makeKeyAndVisible];
    
    return YES;
}

- (void)applicationWillResignActive:(UIApplication *)application
{
    /*
     Sent when the application is about to move from active to inactive state. This can occur for certain types of temporary interruptions (such as an incoming phone call or SMS message) or when the user quits the application and it begins the transition to the background state.
     Use this method to pause ongoing tasks, disable timers, and throttle down OpenGL ES frame rates. Games should use this method to pause the game.
     */
}

- (void)applicationDidEnterBackground:(UIApplication *)application
{
    /*
     Use this method to release shared resources, save user data, invalidate timers, and store enough application state information to restore your application to its current state in case it is terminated later. 
     If your application supports background execution, this method is called instead of applicationWillTerminate: when the user quits.
     */
    [self.masterViewController saveData];
}

- (void)applicationWillEnterForeground:(UIApplication *)application
{
    /*
     Called as part of the transition from the background to the inactive state; here you can undo many of the changes made on entering the background.
     */
}

- (void)applicationDidBecomeActive:(UIApplication *)application
{
    /*
     Restart any tasks that were paused (or not yet started) while the application was inactive. If the application was previously in the background, optionally refresh the user interface.
     */
}

- (void)applicationWillTerminate:(UIApplication *)application
{
    /*
     Called when the application is about to terminate.
     Save data if appropriate.
     See also applicationDidEnterBackground:.
     */
}

@end
